Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.sax2
Class XMLOutputHandler

    java.lang.Object
      com.jclark.xsl.sax2.XMLOutputHandler

All Implemented Interfaces:
  CommentHandler, org.xml.sax.ContentHandler, OutputContentHandler, RawCharactersHandler

public class XMLOutputHandler
extends java.lang.Object
implements OutputContentHandler, CommentHandler, RawCharactersHandler

A ContentHandler that writes an XML representation to an OutputStream.

Field Summary
`static byte` | `MINIMIZE_EMPTY_ELEMENTS`
`static byte` | `MINIMIZE_EMPTY_ELEMENTS_HTML`
`static byte` | `MINIMIZE_NONE`

Constructor Summary
`XMLOutputHandler()` Create a XMLOutputHandler that will write in UTF-8 to an OutputStream.
`XMLOutputHandler(java.io.OutputStream out)`

Method Summary
`protected void` | `attributeValue(java.lang.String value)`
`void` | `characters(char[] cbuf, int off, int len)`
`void` | `comment(java.lang.String body)` recieve notification that a comment has been encountered in the parse
`void` | `endDocument()`
`void` | `endElement(java.lang.String namespace, java.lang.String localName, java.lang.String qName)`
`void` | `endPrefixMapping(java.lang.String prefix)`
`void` | `ignorableWhitespace(char[] ch, int start, int length)`
`org.xml.sax.ContentHandler` | `init(Destination dest, java.util.Properties props)` return `this` intialized for writing to the output represented by `dest` with the output parameters found in `props`.
`void` | `markup(java.lang.String chars)`
`void` | `processingInstruction(java.lang.String target, java.lang.String data)`
`void` | `rawCharacters(java.lang.String chars)`
`void` | `setDocumentLocator(org.xml.sax.Locator loc)`
`void` | `setMinimize(byte minimize)`
`void` | `skippedEntity(java.lang.String name)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String namespace, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)`
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String namespaceURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MINIMIZE_NONE

    public static final byte MINIMIZE_NONE

See Also:
  Constant Field Values

### MINIMIZE_EMPTY_ELEMENTS

    public static final byte MINIMIZE_EMPTY_ELEMENTS

See Also:
  Constant Field Values

### MINIMIZE_EMPTY_ELEMENTS_HTML

    public static final byte MINIMIZE_EMPTY_ELEMENTS_HTML

See Also:
  Constant Field Values

Constructor Detail

### XMLOutputHandler

    public XMLOutputHandler()

  Create a XMLOutputHandler that will write in UTF-8 to an OutputStream.

### XMLOutputHandler

    public XMLOutputHandler(java.io.OutputStream out)

Method Detail

### init

    public org.xml.sax.ContentHandler init(Destination dest,
                                           java.util.Properties props)
                                    throws java.io.IOException

  return `this` intialized for writing to the output represented by `dest` with the output parameters found in `props`.

  Specified by:
    `init` in interface `OutputContentHandler`
  Throws:
    `java.io.IOException`

### setMinimize

    public void setMinimize(byte minimize)

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] cbuf,
                           int off,
                           int len)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### rawCharacters

    public void rawCharacters(java.lang.String chars)
                       throws org.xml.sax.SAXException

  Specified by:
    `rawCharacters` in interface `RawCharactersHandler`
  Throws:
    `org.xml.sax.SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws org.xml.sax.SAXException

  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(java.lang.String namespace,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### attributeValue

    protected void attributeValue(java.lang.String value)
                           throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String namespace,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Specified by:
    `processingInstruction` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### markup

    public void markup(java.lang.String chars)
                throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### comment

    public void comment(java.lang.String body)
                 throws org.xml.sax.SAXException

  Description copied from interface: `CommentHandler`
  recieve notification that a comment has been encountered in the parse

  Specified by:
    `comment` in interface `CommentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String namespaceURI)

  Specified by:
    `startPrefixMapping` in interface `org.xml.sax.ContentHandler`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)

  Specified by:
    `endPrefixMapping` in interface `org.xml.sax.ContentHandler`

### skippedEntity

    public void skippedEntity(java.lang.String name)

  Specified by:
    `skippedEntity` in interface `org.xml.sax.ContentHandler`

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator loc)

  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.ContentHandler`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD